/*
 * Example for DC Motor 4 click
 *
 * Date         Apr 2017
 * Author       Djordje Rosic
 *
 * Test configuration PIC :
 *  MCU           :        P18F87K22
 *  Dev. Board    :        EasyPIC PRO v7
 *  SW            :        mikroC PRO for PIC v7.0.1
 *
 * Description :
 *
 * This example shows basic controls of DC motor using DC motor 4 click.
 * It shows forward and reverse movement, and high and low rotation speed.
 *
 ******************************************************************************/

#include <stdint.h>

uint16_t pwmPeriod;
sbit DIR_PIN at LATA0_bit;
sbit DIR_PIN_DIR at TRISA0_bit;
/*
 * System Initialization
 */
void systemInit()
{
    DIR_PIN_DIR = 0;
    PWM2_Init(4000);  // Set PWM frequency/period (according to the DC motor characteristics)
}

void main()
{

    systemInit();

    while (1)
    {
        //Forward
        DIR_PIN = 0;
        //Forward fast
        PWM2_Set_Duty(255);
        PWM2_Start();
        Delay_ms (3000);
        //Forward slow
        PWM2_Set_Duty(128);
        PWM2_Start();
        Delay_ms (3000);
        //Reverse
        DIR_PIN = 1;
        //Reverse fast
        PWM2_Set_Duty(255);
        PWM2_Start();
        Delay_ms (3000);
        //Reverse slow
        PWM2_Set_Duty(128);
        PWM2_Start();
        Delay_ms (3000);
    }
}
/************************************************************ END OF FILE *****/